gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A base class for input method contexts. GLib.Object
- Method
  System.Void Notify the input method that the widget to which this input context corresponds has gained focus. The input method may, for example, change the displayed feedback to reflect this change.
- Method
  System.Void Notify the input method that the widget to which this input context corresponds has lost focus. The input method may, for example, change the displayed feedback or reset the contexts state to reflect this change.
- Method
  System.Boolean `` `` Asks the widget that the input context is attached to to delete characters around the cursor position by emitting the signal. a a a , if the signal was handled.

  Note that and are in characters not in bytes, which differs from the usage other places in .

  In order to use this function, you should first call to get the current context, and call this function immediately afterwards to make sure that you know what you are deleting. You should also account for the fact that even if the signal was handled, the input context might not have deleted all the characters that were requested to be deleted.

  This function is used by an input method that wants to make subsitutions in the existing text in response to new input. It is not useful for applications.

- Method
  System.Boolean `` Allow an input method to handle a . a representing a key press. if the keypress was handled. If the method returns , no further processing should be done for .
- Method
  System.Void Resets the state of the input method. Call this method if, for example, a change in cursor position has occurred. The reset clears any existing pre-edit state.
- Constructor
  Internal constructor
  Pointer to the C object.

  This is an internal constructor, and should not be used by user code.

- Property
  Gdk.Window Set the client window for the input context; this is the in which the input appears. a The client window is used in order to correctly position status windows. It may also be used for purposes internal to the input method.
- Property
  Gdk.Rectangle Notify the input method that a change in cursor position has been made. a The location is relative to the client window.
- Property
  System.Boolean Whether the IM context should use the preedit string to display feedback. a If is (default is ), then the IM context may use some other method to display feedback, such as displaying it in a child of the root window.
- Event
  System.EventHandler Event raised when the preedit string is changed. GLib.Signal("preedit_changed")
- Event
  System.EventHandler Event raised when pre-editing is started. GLib.Signal("preedit_start")
- Event
  Gtk.SurroundingDeletedHandler Event raised when the input method needs to delete the context text. GLib.Signal("delete_surrounding")
- Event
  Gtk.CommitHandler Commit text event. The event is emitted when the input method has processed all the keystrokes for an individual text element, including pre-edit keystrokes. The resulting text is located in GLib.Signal("commit")
- Event
  Gtk.RetrieveSurroundingHandler Event raised when the input method requires the context surrounding the cursor. GLib.Signal("retrieve_surrounding")
- Event
  System.EventHandler Event raised when pre-editing is completed. GLib.Signal("preedit_end")
- Method
  System.Void `` `` Sets surrounding context around the insertion point and preedit string. a a This function is expected to be called in response to the event, and it will likely have no effect if called at other times.
- Method
  System.Boolean `` `` Gets the context around the insertion point. a a a

  Input methods typically want context in order to constrain input text based on existing text; this is important for languages such as Thai where only some sequences of characters are allowed.

  This function is implemented by emitting the event on the input method; in response to this signal, a widget should provide as much context as is available, up to an entire paragraph, by calling . Note that there is no obligation for a widget to respond to the signal, so input methods must be prepared to function without context.

- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Boolean Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void `` Default handler for the event. a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Boolean `` `` Default handler for the event. a a a Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
  System.Obsolete
- Method
  System.Void `` `` `` a , a location to store , the retrieved string. a , location to store the retrieved attribute list. To be added. Retrieve the current preedit string for the input context and a list of attributes to apply to the string. This string should be displayed inserted at the insertion point.
- Constructor
  Protected Constructor.